Description

To raise the awareness of the distinction between multi and non-multi

geometry layers, I suggest that multi-geometry layers become easily

distinguishable in the Layers panel.

This can be achieved by updating the set of "icons" that are now used

to distinguish between the dimensionality of the geometries (point,

line, polygon).  The set of icons could be extended so that for

instance a multi-point geometry would have an "icon" with several

points instead of one, and similar for lines and polygons.

An alternative is to introduce a separate "icon" for multi and use it

in combination with the geometry dimension icon for multi-geometry

layers. This reflects orthogonality, but will take up more space.

A duplication icon could perhaps be used for this.

This solution is perhaps more sustainable in case we would like to

handle 2.5D, 3D and M in the same way?

History

#1 - 2019-01-12 07:49 PM - Jorge Rocha

- File layer tooltip.png added

Thank you Håvard Tveite.

The tooltip that appears on mouse over shows if the layer is Multi or not.

Editing tools are also sensitive to Multi or not layers. Soon as the user toggle editing, we knows what kind of layer it is.

Are you suggesting that is not enough? Can you explain better your workflow and why you think it is an important issue to have it on the layers panel?

#2 - 2019-01-12 07:50 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please put tickets in feedback mode when necessary, thanks!

#3 - 2019-01-14 04:44 PM - Håvard Tveite

Thank you for following up, Jorge Rocha.
I am aware of the tooltip, and I think that this is not enough.

That a layer has multigeometries should be immediately

distinguishable in the Layers panel.

This is not tied to a particular workflow.

It is about educating users, by making them aware that there

are such things as multi-geometries.

This will help them in many of their workflows.

#4 - 2019-01-17 11:53 AM - Giovanni Manghi

- Status changed from Feedback to Open

Files

layer tooltip.png 48.7 KB 2019-01-12 Jorge Rocha
